#
# Build
#
build:
  stage: build
  image: ubuntu:20.04
  before_script:
    - DEBIAN_FRONTEND=noninteractive && apt update && apt install -y python3-pip
    - pip3 install -U pip setuptools wheel
    - pip3 install -U -U "Nikola[extras]"
  script:
    - export LC_ALL=C.UTF-8
    - export LANG=C.UTF-8
    - cd website && nikola build
  artifacts:
    paths:
      - website/output

#
# Gitlab pages
#
pages:
  stage: deploy
  script:
    - echo "Deploying..."
    - mv website/output public
    - echo "done."
  dependencies:
    - build
  only:
    - main
  artifacts:
    paths:
      - public